local addonname, rre = ...

StaticPopupDialogs["CopyDialog"] = {
    text = "Press Ctrl-C to copy the text.",
    button1 = OKAY,
    timeout = 0,
    whileDead = true,
    hideOnEscape = true,
    preferredIndex = 3,
    hasEditBox = true,
    maxLetters = 1000,
    OnShow = function(self)
    end
}

SlashCmdList.RRE = function(input)
    -- Check if the player is in a group before continuing
    if (not IsInGroup()) then
        print("You aren't in a group!")
        return
    end

    local playerNameString = ""
    for i = 1, GetNumGroupMembers() do
        name, rank, subgroup, level, class, fileName, zone, online, isDead, role, isML, combatRole =
            GetRaidRosterInfo(i)

        playerNameString = playerNameString .. name .. "\n"
    end

    -- Display the dialog so user can copy output string
    --local dialog = StaticPopup_Show("CopyDialog")
    --local editBox = dialog.editBox

    -- Display the dialog so user can copy output string
    local dialog = StaticPopup_Show("CopyDialog")
    local editBox = dialog.editBox
    editBox:SetText(playerNameString)
    editBox:HighlightText()
    editBox:SetFocus()
end

SLASH_RRE1 = "/rre"
